---
# ---
title: "What is it?"
---

Molecular Nodes (MN) is an addon for the 3D modelling & animation program [Blender](https://blender.org) that enables easy import of molecular data such as `.pdb` & `.mmCIF`. MN also provides a number of pre-built Geometry Nodes for manipulating and creating animations from the underlying molecular data.

## Features:

-   Download structures directly from the PDB using the 4-letter codes

-   Open local `.pdb` & `.mmcif` files

-   Open multi-state `.pdb` files and animate them as trajectories

-   Open molecular dynamics trajectory files such as `.xtc` & `.dcd`

-   Provides a suite of nodes for artistic manipulation of molecular data inside of Geometry Nodes

## Getting Started Tutorials

::: center
<iframe width="560" height="315" src="https://www.youtube.com/embed/CvmFaRVmZRU" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>

</iframe>
:::

```{=html}
<video src="images/em-volumetrics.mp4">
```
## Examples

::: columns
::: {.column width="50%"}
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

Well, I've finally dipped my toe into Blender because of this tutorial, and am enjoying it so far (except for feeling like a total noob and having to google everything...) Thanks for flagging it up <a href="https://twitter.com/miekeroth?ref_src=twsrc%5Etfw">@miekeroth</a>! Pleased with Day 1 progress. <a href="https://t.co/ked3VfAnpR">https://t.co/ked3VfAnpR</a> <a href="https://t.co/eqvmEA0zD0">pic.twitter.com/eqvmEA0zD0</a>

</p>

--- Equinox Graphics (@equinoxgraphics) <a href="https://twitter.com/equinoxgraphics/status/1544061154833575936?ref_src=twsrc%5Etfw">July 4, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

A second video showing how to animate multi-state .pdb files and make them disappear in <a href="https://twitter.com/hashtag/blender3d?src=hash&amp;ref_src=twsrc%5Etfw">#blender3d</a> and <a href="https://twitter.com/hashtag/geometrynodes?src=hash&amp;ref_src=twsrc%5Etfw">#geometrynodes</a> with my Molecular Nodes! <a href="https://t.co/4j6UxC9241">https://t.co/4j6UxC9241</a> <a href="https://t.co/dwWmg1TmD1">pic.twitter.com/dwWmg1TmD1</a>

</p>

--- Brady Johnston (@bradyajohnston) <a href="https://twitter.com/bradyajohnston/status/1542701529034944512?ref_src=twsrc%5Etfw">July 1, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

Molecular Nodes is stable enough that I've made my first tutorial on how to use it! <br><br>Watch the video to see how to get started and import proteins into <a href="https://twitter.com/hashtag/blender3d?src=hash&amp;ref_src=twsrc%5Etfw">#blender3d</a> and <a href="https://twitter.com/hashtag/geometrynodes?src=hash&amp;ref_src=twsrc%5Etfw">#geometrynodes</a> with a single click!<br><br>Working towards an animation like this...<a href="https://t.co/YRKZe0RWfK">https://t.co/YRKZe0RWfK</a> <a href="https://t.co/0WTAFSmj8k">pic.twitter.com/0WTAFSmj8k</a>

</p>

--- Brady Johnston (@bradyajohnston) <a href="https://twitter.com/bradyajohnston/status/1542494319910694912?ref_src=twsrc%5Etfw">June 30, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
:::

::: {.column width="50%"}
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

Really starting to like Blender. Spot a bug; bug gets fixed. Epic. So here are some nuclear pore structures I couldn't do last week. Thanks <a href="https://twitter.com/bradyajohnston?ref_src=twsrc%5Etfw">@bradyajohnston</a>! cc <a href="https://twitter.com/jankosinski?ref_src=twsrc%5Etfw">@jankosinski</a> <a href="https://t.co/4TSppW1HY9">https://t.co/4TSppW1HY9</a> <a href="https://t.co/fAw53k7KJa">pic.twitter.com/fAw53k7KJa</a>

</p>

--- Equinox Graphics (@equinoxgraphics) <a href="https://twitter.com/equinoxgraphics/status/1546407850318118912?ref_src=twsrc%5Etfw">July 11, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

Celebrating 1000 followers this week!🥳As a 'Thank You', <a href="https://twitter.com/hashtag/Render?src=hash&amp;ref_src=twsrc%5Etfw">#Render</a> of the week is a fun little animation on my favourite <a href="https://twitter.com/hashtag/CryoEM?src=hash&amp;ref_src=twsrc%5Etfw">#CryoEM</a> <a href="https://twitter.com/hashtag/GPCR?src=hash&amp;ref_src=twsrc%5Etfw">#GPCR</a> structure: The human secretin receptor complex (PDB: 6WZG)🎉Big thanks to <a href="https://twitter.com/bradyajohnston?ref_src=twsrc%5Etfw">@bradyajohnston</a> for creating the awesome MolecularNodes addon <a href="https://twitter.com/hashtag/Blender3D?src=hash&amp;ref_src=twsrc%5Etfw">#Blender3D</a> <a href="https://t.co/VgWewxUh4A">pic.twitter.com/VgWewxUh4A</a>

</p>

--- PiperProteinProductions (@PiperProteins) <a href="https://twitter.com/PiperProteins/status/1538446488732176384?ref_src=twsrc%5Etfw">June 19, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
<blockquote class="twitter-tweet">

<p lang="en" dir="ltr">

I have now added support for importing full-blown MD topology & trajectory files, from the likes of GROMACS & CHARMM straight into <a href="https://twitter.com/hashtag/blender3d?src=hash&amp;ref_src=twsrc%5Etfw">#blender3d</a>! <br><br>Along with a few other UI & under-the-hood improvements, download v0.5.15 now!<a href="https://t.co/qcu3MWGOUc">https://t.co/qcu3MWGOUc</a><a href="https://twitter.com/hashtag/geometrynodes?src=hash&amp;ref_src=twsrc%5Etfw">#geometrynodes</a> <a href="https://twitter.com/hashtag/3d?src=hash&amp;ref_src=twsrc%5Etfw">#3d</a> <a href="https://t.co/ybXc8suIyC">pic.twitter.com/ybXc8suIyC</a>

</p>

--- Brady Johnston (@bradyajohnston) <a href="https://twitter.com/bradyajohnston/status/1528540839776903168?ref_src=twsrc%5Etfw">May 23, 2022</a>

</blockquote>

```{=html}
<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
```
:::
:::